
@mixin nav-hover {
	margin: 0;
	background: #cecece;
	border-left: 1px red solid;
	border-right: 1px solid red;
	border-bottom: 1px solid red;
	padding: 0 5px;
	margin-left: -1px;
}

body{

  .flex{
    display: flex;
    width: 100%;
  }

	> header {
		position: fixed;
		width: 100%;
		height: 22px;
    background: #cecece;
	}

  header{
   margin: 1rem;
   margin-top: 0;
   padding-bottom: 1rem;
	 .tester {
		 position: fixed;
		 bottom: 10px;
		 background: #cecece;
		 outline: 1px solid #3111b9;
		 padding: 4px;
	 }
   h1{
		border-bottom: 1px solid red;
     width: 100%;
   }

  .tagLists{

    h2{
      width: 100%;
    }

    .tagList.open{

      h4:hover::after{

        content: "-";
        float: right;

      }

      h4{

        color: red;
      }

      >ul{

				li {
					display: block;
				}
				.on {
				}
      }

    }

    .tagList{
			width: 25%;


			&.sort h4::before{

        content: "⤷ ";
      }

			&:hover {
				li {
					border-bottom: 1px solid red;
					&:nth-last-child(1) {
						border-bottom: none;
					}
					display: block;
				}
			}

      h4:hover{

        color: red;
        cursor: pointer;

      }

      h4:hover::after{
				margin-right: 20px;
        content: "+";
        float: right;

      }

      >ul{
				
				@include nav-hover; 
        // margin: 0;
				// background: #cecece;
				// border-left: 1px red solid;
				// border-right: 1px solid red;
				// border-bottom: 1px solid red;
				// padding: 0 5px;
				// margin-left: -1px;

        li{
					display: none;
        }

				li.on {
					display: block;
				}

        li:hover{
          cursor: pointer;
          color: red;
        }


        li::before{
          content: "◯ ";
          font-size: 0.8rem;
          padding: 0 1rem 0 0;

        }

        li.on:hover::before{
          color: #000;
        }

        li.on::before,
        li:hover::before{
          color: red;
          content: "◉ ";
        }
      }

    }
  }

	.font-nav {
		width: 85%;
	}

  .title{
		
		width: 15%;
		&:hover {
			ul {
				@include nav-hover; 
				display: block;
			}
		}
    >ul{
			// background: #cecece;
			display: none;

      li{
        >span{

          // display: inline-block;
        }

        >span:first-of-type{

          //width: 35%;
          margin: 0 1.5rem 0 0;

        }

        .active{

          color: red;
        }

        input{

          display: inline;
          width: 3rem;
          height: 1rem;
          color: red;
        }

        input[name="font-size"]{

          width: 5rem;

        }

        input#search_query{

          width: 6rem;
          color: black;

        }
      }
    }
  }
}


nav{

	position: fixed;
	right: 10px;
	bottom: 10px;
	.links{
		>ul, >div{

			padding: 0 1.5rem 0 0;
		}
	}
	.accounts,
	.fonts{
		width: 100px;
		float: left;
		h4{
			background: #cecece;	
			border-bottom: 1px solid #3111b9;
		}
		ul{
			position: fixed;
			bottom: 30px;
			width: auto;
			display: none;
			padding: 4px;
			background: #cecece;
			margin-left: -4px;
			li {
				border-bottom: 1px solid #3111b9;
			}
		}
		&:hover {
			cursor: pointer;
			ul{
				display: block;
			}
		} 

	}

	#search{
		margin: 1.5rem 0 0 0;
	}
}

main{
	padding: 20px;
	width: 100%;
}
}
